xmlgraphics-batik-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cameron McCormack <...@mcc.id.au>
Subject Re: dom level3
Date Thu, 14 Sep 2006 22:29:27 GMT
Hi Nikolai.

Nikolai Ruben Malchow:
> i am currently working on a batik app that will be used within a web 
> application. it's running in bea weblogic 8.1 and jdk 1.4.2. so xalan 2.2 
> (inlcuded in the jre) and xerces 2.1 are available. now, the existing 
> webapp does a lot of xml stuff. does anybody know enough about the 
> differences between the various versions to tell me what kind of problems 
> (if any) might be caused by deploying the xml-apis-dom3.jar from the batik 
> dist within that webapp's context? is it likely that this will make the 
> whole thing go boom? what kind of things should i look for in order to 
> minimize the danger of version conflicts?

It should be OK.  Since JDK 1.4.2 contains only the DOM Level 2 versions
of the interface .class files, they won’t be overriden by the ones
included in xml-apis-dom3.jar.  Even if they were (e.g. by putting it in
the bootclasspath or the official override location or whatever it is
called), you shouldn’t have any problems.

How about you try it and see how it goes? :)

Cameron

-- 
Cameron McCormack, http://mcc.id.au/
	xmpp:heycam@jabber.org  ▪  ICQ 26955922  ▪  MSN cam@mcc.id.au

---------------------------------------------------------------------
To unsubscribe, e-mail: batik-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: batik-users-help@xmlgraphics.apache.org


Mime
View raw message